using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IDisciplineLogic
    {
        bool Create(DisciplineBindingModel model);
        bool Update(DisciplineBindingModel model);
        bool Delete(DisciplineBindingModel model);
        List<DisciplineViewModel>? ReadList(DisciplineSearchModel? model);
        DisciplineViewModel? ReadElement(DisciplineSearchModel model);
    }
}
